package com.ruoyi.web.JC.JC.dao;

import com.ruoyi.web.JC.JC.entity.JcModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 极创案例(JcModel)表数据库访问层
 *
 * @author makejava
 * @since 2024-12-18 14:39:11
 */
public interface JcModelMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    JcModel queryById(Integer id);

    /**
     * 查询指定行数据
     *
     * @param jcModel 查询条件
     * @return 对象列表
     */
    List<JcModel> queryAllByLimit(JcModel jcModel);

    /**
     * 统计总行数
     *
     * @param jcModel 查询条件
     * @return 总行数
     */
    long count(JcModel jcModel);

    /**
     * 新增数据
     *
     * @param jcModel 实例对象
     * @return 影响行数
     */
    int insert(JcModel jcModel);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<JcModel> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<JcModel> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<JcModel> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<JcModel> entities);

    /**
     * 修改数据
     *
     * @param jcModel 实例对象
     * @return 影响行数
     */
    int update(JcModel jcModel);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(@Param("list") List<String> idList);

}

