package com.ruoyi.web.JC.JC.service.impl;

import com.ruoyi.web.JC.JC.entity.JcModel;
import com.ruoyi.web.JC.JC.dao.JcModelMapper;
import com.ruoyi.web.JC.JC.service.JcModelService;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import javax.annotation.Resource;
import java.util.List;

/**
 * 极创案例(JcModel)表服务实现类
 *
 * @author makejava
 * @since 2024-12-18 14:39:16
 */
@Service("jc")
public class JcModelServiceImpl implements JcModelService {
    @Resource
    private JcModelMapper jcModelMapper;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public JcModel queryById(Integer id) {
        return this.jcModelMapper.queryById(id);
    }

    /**
     * 分页查询
     *
     * @param jcModel 筛选条件
     * @return 查询结果
     */
    @Override
    public List<JcModel> queryByPage(JcModel jcModel) {

        return this.jcModelMapper.queryAllByLimit(jcModel);
    }

    /**
     * 新增数据
     *
     * @param jcModel 实例对象
     * @return 实例对象
     */
    @Override
    public JcModel insert(JcModel jcModel) {
        this.jcModelMapper.insert(jcModel);
        return jcModel;
    }

    /**
     * 修改数据
     *
     * @param jcModel 实例对象
     * @return 实例对象
     */
    @Override
    public JcModel update(JcModel jcModel) {
        this.jcModelMapper.update(jcModel);
        return this.queryById(jcModel.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param ids 主键
     * @return 是否成功
     */
    @Override
    public void deleteById(List<String> idList) {
     jcModelMapper.deleteById(idList) ;
    }
}
